PHPExcel_Chart_Renderer_jpgraph

category | PHPExcel
package | PHPExcel_Chart_Renderer
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart_Renderer_jpgraph

    __construct(\PHPExcel_Chart $chart)

### Parameters

#### $chart

## render()

    render($outputDestination)

### Parameters

#### $outputDestination

## _formatDataSetLabels()

    _formatDataSetLabels($groupID, $datasetLabels, $labelCount, $rotation)

### Parameters

#### $groupID

#### $datasetLabels

#### $labelCount

#### $rotation

## _formatPointMarker()

    _formatPointMarker($seriesPlot, $markerID)

### Parameters

#### $seriesPlot

#### $markerID

## _getCaption()

    _getCaption($captionElement)

### Parameters

#### $captionElement

## _percentageAdjustValues()

    _percentageAdjustValues($dataValues, $sumValues)

### Parameters

#### $dataValues

#### $sumValues

## _percentageSumCalculation()

    _percentageSumCalculation($groupID, $seriesCount)

### Parameters

#### $groupID

#### $seriesCount

## _renderAreaChart()

    _renderAreaChart($groupCount, $dimensions)

### Parameters

#### $groupCount

#### $dimensions

## _renderBarChart()

    _renderBarChart($groupCount, $dimensions)

### Parameters

#### $groupCount

#### $dimensions

## _renderBubbleChart()

    _renderBubbleChart($groupCount)

### Parameters

#### $groupCount

## _renderCartesianPlotArea()

    _renderCartesianPlotArea($type)

### Parameters

#### $type

## _renderCombinationChart()

    _renderCombinationChart($groupCount, $dimensions, $outputDestination)

### Parameters

#### $groupCount

#### $dimensions

#### $outputDestination

## _renderContourChart()

    _renderContourChart($groupCount, $dimensions)

### Parameters

#### $groupCount

#### $dimensions

## _renderLegend()

    _renderLegend()

## _renderLineChart()

    _renderLineChart($groupCount, $dimensions)

### Parameters

#### $groupCount

#### $dimensions

## _renderPieChart()

    _renderPieChart($groupCount, $dimensions, $doughnut, $multiplePlots)

### Parameters

#### $groupCount

#### $dimensions

#### $doughnut

#### $multiplePlots

## _renderPiePlotArea()

    _renderPiePlotArea($doughnut)

### Parameters

#### $doughnut

## _renderPlotBar()

    _renderPlotBar($groupID, $dimensions)

### Parameters

#### $groupID

#### $dimensions

## _renderPlotContour()

    _renderPlotContour($groupID)

### Parameters

#### $groupID

## _renderPlotLine()

    _renderPlotLine($groupID, $filled, $combination, $dimensions)

### Parameters

#### $groupID

#### $filled

#### $combination

#### $dimensions

## _renderPlotRadar()

    _renderPlotRadar($groupID)

### Parameters

#### $groupID

## _renderPlotScatter()

    _renderPlotScatter($groupID, $bubble)

### Parameters

#### $groupID

#### $bubble

## _renderPlotStock()

    _renderPlotStock($groupID)

### Parameters

#### $groupID

## _renderRadarChart()

    _renderRadarChart($groupCount)

### Parameters

#### $groupCount

## _renderRadarPlotArea()

    _renderRadarPlotArea()

## _renderScatterChart()

    _renderScatterChart($groupCount)

### Parameters

#### $groupCount

## _renderStockChart()

    _renderStockChart($groupCount)

### Parameters

#### $groupCount

## _renderTitle()

    _renderTitle()

### Properties

##

    $_chart

##

    $_colourSet

##

    $_graph

##

    $_height

##

    $_markSet

##

    $_plotColour

##

    $_plotMark

##

    $_width